#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides gravatar support
Name:           libgravatar
Version: 16.12.3
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5AkonadiContact) >= 5.3.1
BuildRequires:  cmake(KF5PimCommon) >= 5.3.90

# KF5AkonadiContact/KF5PimCommon not available
ExcludeArch:    armv5tl

%description
This lib provides gravatar support.

%files
%_sysconfdir/xdg/libgravatar.categories
%_sysconfdir/xdg/libgravatar.renamecategories

#--------------------------------------------------------------------

%define kf5gravatar_major 5
%define libkf5gravatar %mklibname kf5gravatar_ %{kf5gravatar_major}

%package -n %libkf5gravatar
Summary:      This lib provides gravatar support
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5gravatar
This lib provides gravatar support.

%files -n %libkf5gravatar
%_kf5_libdir/libKF5Gravatar.so.%{kf5gravatar_major}*

#--------------------------------------------------------------------

%define kf5gravatar_devel %mklibname kf5gravatar -d

%package -n %kf5gravatar_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5gravatar = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5gravatar_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5gravatar_devel
%_kf5_includedir/Gravatar
%_kf5_includedir/gravatar
%_kf5_includedir/gravatar_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Gravatar
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090140
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076882
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073772
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067394
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061457
- New version 16.08.2

* Sun Sep 18 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1053934
- Rebuild for ARM

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051751
- New version 16.08.1

* Tue Aug 23 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1047947
- fix BR adding cmake(KF5AkonadiContact) >= 5.3.0

  + neoclust <neoclust>
    - New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040122
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012612
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004401
- New version 16.04.0

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997285
- Add missing epoch

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997262
- imported package libgravatar

